__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc > Struct Template Reference

## Public Types

typedef _Alloc | allocator_type
typedef detail::rebind_traits< _Alloc, Metadata >::const_reference | const_reference
typedef Metadata | metadata_type

## Public Member Functions

const_reference | get_metadata () const

## Public Attributes

metadata_type | m_metadata

## Detailed Description

### template<typename Metadata, typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >

Metadata base primary template.

Definition at line 67 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp